<?php

namespace App\ViewModels\Anamnese\AnamneseAdicionalDetailsViewModel;

use App\Utils\Builder;

class AnamneseAdicionalDetailsViewModelBuilder implements Builder {
	protected $idPet;
	protected $idTutor;
	protected $idUnidade;
	protected $idProcedimento;
	protected $idFormulario;
	protected $idUsuario;
	protected $idMedico;
	protected $idRquisicao;
	protected $dataCriacao;
	protected $horaCriacao;

	public function build(): AnamneseAdicionalDetailsViewModel {

		$obj = new AnamneseAdicionalDetailsViewModel();

		$obj->setIdPet( $this->idPet );
		$obj->setIdTutor( $this->idTutor );
		$obj->setIdUnidade( $this->idUnidade );
		$obj->setIdRquisicao( $this->idRquisicao );
		$obj->setIdUsuario( $this->idUsuario );
		$obj->setIdMedico( $this->idMedico );
		$obj->setIdProcedimento( $this->idProcedimento );
		$obj->setIdFormulario( $this->idFormulario );
		$obj->setDataCriacao( $this->dataCriacao );
		$obj->setHoraCriacao( $this->horaCriacao );

		return $obj;

	}

	/**
	 *
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idPet = $idPet;
		return $this;

	}

	/**
	 *
	 * @param mixed $idTutor
	 */
	public function setIdTutor($idTutor): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idTutor = $idTutor;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idUnidade = $idUnidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idProcedimento = $idProcedimento;
		return $this;

	}

	/**
	 *
	 * @param mixed $idFormulario
	 */
	public function setIdFormulario($idFormulario): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idFormulario = $idFormulario;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUsuario
	 */
	public function setIdUsuario($idUsuario): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idUsuario = $idUsuario;
		return $this;

	}

	/**
	 *
	 * @param mixed $idMedico
	 */
	public function setIdMedico($idMedico): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idMedico = $idMedico;
		return $this;

	}

	/**
	 *
	 * @param mixed $idRquisicao
	 */
	public function setIdRquisicao($idRquisicao): AnamneseAdicionalDetailsViewModelBuilder {

		$this->idRquisicao = $idRquisicao;
		return $this;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao): AnamneseAdicionalDetailsViewModelBuilder {

		$this->dataCriacao = $dataCriacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao): AnamneseAdicionalDetailsViewModelBuilder {

		$this->horaCriacao = $horaCriacao;
		return $this;

	}

}

